Subject: RE: RFC2518 (WebDAV) / RFC2396 (URI) inconsistency

From: [email-masked]
Date: Thu, 29 Nov 2001 14:25:17 +0200

> > So, you could still have "http:" and two additional 
> URI/URL/URNs for the
> > version-specific definitions of the http URL space.
> 
> Yes, but only if we defined it to be such a thing, which we 
> won't do because
> Web browsers still discard the scheme name if it is the same 
> as the scheme
> of the referring document.

What makes you think that web browsers are the only (or
even primary) agents utilizing a "scheme:" URI approach?

And what's to say that web browsers should be discarding
the scheme?

Patrick

---

From: "Roy T. Fielding" <[email-masked]>
Date: Thu, 29 Nov 2001 09:38:52 -0800

> even primary) agents utilizing a "scheme:" URI approach?

I don't know of any others.  If I did, I would have had a test case
for that in RFC 2396.

> And what's to say that web browsers should be discarding

RFC 1630 and all versions of CERN/W3C libwww.

....Roy